<!-- <ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>medicine_report</ion-title>
  </ion-toolbar>
</ion-header> -->

<!-- <ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">medicine_report</ion-title>
    </ion-toolbar>
  </ion-header>
</ion-content> -->
<ion-header>
  <ion-toolbar>
    <ion-title>Medicine Report</ion-title>
  </ion-toolbar>

  <ion-toolbar>
    <ion-segment [(ngModel)]="MedicineTab">
      <ion-segment-button value="MedicineType">
        <ion-label>Add Medicine Type</ion-label>
      </ion-segment-button>
      <ion-segment-button value="MedicineName">
        <ion-label>Add Medicine</ion-label>
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <ng-container [ngSwitch]="MedicineTab">

    <ion-list *ngSwitchCase="'MedicineType'">
      <form #MedicineForm="ngForm" (ngSubmit)="OnSubmit()">
        <ion-list>
          <ion-item>
            <ion-label position="floating">Medicine Name</ion-label>
            <ion-input type="text" [(ngModel)]="medicineObject.Name" name="MedicineName" required></ion-input>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Description</ion-label>
            <ion-input type="text" [(ngModel)]="medicineObject.Description" name="MedicineDesc" required></ion-input>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Medicine Company Name</ion-label>
            <ion-input type="text" [(ngModel)]="medicineObject.Company" name="MedicineComp" required></ion-input>
          </ion-item>
          <ion-item>
            <ion-button expand="full" [disabled]="!MedicineForm.form.valid" (click)="OnSubmit()">Submit</ion-button>
          </ion-item>
        </ion-list>
      </form>
    </ion-list>

    <ion-list *ngSwitchCase="'MedicineName'">
      <div [hidden]="medFormBool">
        <form #studform="ngForm" (ngSubmit)="Change()">
          <ion-list>
            <ion-item>
              <ion-label position="floating">Batch</ion-label>
              <ion-select [(ngModel)]="BatchStudent.BatchId" name="batchName" required>
                <ion-select-option *ngFor="let item of BatchList" [value]="item.Id">{{ item.Name }}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Course</ion-label>
              <ion-select [(ngModel)]="BatchStudent.CourseId" (ionChange)="getStudentList()" name="courseName" required>
                <ion-select-option *ngFor="let i of CourseList" [value]="i.Id">{{ i.Name }}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Student</ion-label>
              <ion-select [(ngModel)]="BatchStudent.StudentId" name="studentName" required>
                <ion-select-option *ngFor="let x of studentList" [value]="x.Id">{{ x.StudentName }}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item>
              <ion-button expand="full" [disabled]="!studform.form.valid" (click)="Change()">Add Medicine</ion-button>
            </ion-item>
          </ion-list>
        </form>
      </div>
      <div [hidden]="studformBool">
        <form #medForm="ngForm" (ngSubmit)="SaveStudMed()">
          <ion-list>
            <ion-item>
              <ion-label position="floating">Medicine</ion-label>
              <ion-select [(ngModel)]="StudentMed.MedicineId" name="MedName" required>
                <ion-select-option *ngFor="let item of medicineList" [value]="item.Id">{{ item.Name }}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item>
              <ion-label position="stacked">Dosage</ion-label>
              <ion-input type="text" placeholder="e.g. 1 tablet, 10mg" [(ngModel)]="StudentMed.Dosage" name="MedDosage" required></ion-input>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Administered Date</ion-label>
              <ion-datetime displayFormat="DD/MM/YYYY" name="AdministeredDate" [(ngModel)]="StudentMed.Date" required></ion-datetime>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Administered Time</ion-label>
              <ion-datetime displayFormat="HH:mm" name="AdministeredTime" [(ngModel)]="StudentMed.Time" required></ion-datetime>
            </ion-item>
            <ion-item>
              <ion-button expand="full" [disabled]="!medForm.form.valid" (click)="SaveStudMed()">Save</ion-button>
            </ion-item>
          </ion-list>
        </form>
      </div>
    </ion-list>

  </ng-container>
</ion-content>
